## CORBA Interface IStoredProcessServer

### Definition

CORBA Module SASStoredProcess

### IStoredProcessServer Description

CORBA Definitions
exception BadSessionID |
method CreateContext |
method GetContext |
method GetPipeServerInterface |
method DeleteSession |
attribute ServerWorkSpace |
attribute STPMVA |
method CreateContextFromURL |
attribute CacheService |

Java Classes
IStoredProcessServerHelper | Used to manipulate the IStoredProcessServer type
IStoredProcessServerHolder | Used to process the IStoredProcessServer type as an out parameter
BadSessionID |
BadSessionIDHelper | Used to manipulate the BadSessionID type
BadSessionIDHolder | Used to process the BadSessionID type as an out parameter

Java Interfaces
IStoredProcessServer |

### IStoredProcessServer_1_1 Description

CORBA Definitions
exception BadSessionID |
method CreateContext |
method GetContext |
method GetPipeServerInterface |
method DeleteSession |
attribute ServerWorkSpace |
attribute STPMVA |
method CreateContextFromURL |
attribute CacheService |
method CreateSTPContextFromWorkspace |
method GetContext2 |

Java Classes
IStoredProcessServer_1_1Helper | Used to manipulate the IStoredProcessServer_1_1 type
IStoredProcessServer_1_1Holder | Used to process the IStoredProcessServer_1_1 type as an out parameter
BadSessionID |
BadSessionIDHelper | Used to manipulate the BadSessionID type
BadSessionIDHolder | Used to process the BadSessionID type as an out parameter

Java Interfaces
IStoredProcessServer_1_1 |

Java Interface IStoredProcessServer

Package com.sas.iom.SASStoredProcess

IStoredProcessServer Description

`public interface IStoredProcessServer
extends org.omg.CORBA.Object`

Method Summary

IStoredProcessContext | CreateContext ( java.lang.String repos , java.lang.String storedProcess , java.lang.String[] names , java.lang.String[] values , java.lang.String sessionID ) throws ( BadSessionID, GenericError );
IStoredProcessContext | GetContext ( int contextID ) throws ( GenericError );
IStoredProcessPipeServer | GetPipeServerInterface ( java.lang.String name , int contextID ) throws ( GenericError );
void | DeleteSession ( java.lang.String sessionID ) throws ( GenericError );
IStoredProcessContext | CreateContextFromURL ( java.lang.String url , java.lang.String proxy , java.lang.String user , java.lang.String pass , java.lang.String[] names , java.lang.String[] values , java.lang.String sessionID ) throws ( BadSessionID, GenericError );

Java Class IStoredProcessServerHelper

public class IStoredProcessServerHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStoredProcessServer type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServerHelper

Java Class IStoredProcessServerHolder

public class IStoredProcessServerHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IStoredProcessServer type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServerHolder

CORBA Exception BadSessionID

Description

Java Class BadSessionID

public class BadSessionID

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IStoredProcessServer_1_0Package.BadSessionID

Java Class BadSessionIDHelper

public class BadSessionIDHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the BadSessionID type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServer_1_0Package.BadSessionIDHelper

Java Class BadSessionIDHolder

public class BadSessionIDHolder

Description
Implementing class for methods (_read, _write, _type) used to process the BadSessionID type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServer_1_0Package.BadSessionIDHolder

CORBA Method CreateContext

Description

Usage

Java Method CreateContext

`public IStoredProcessContext` CreateContext (

        java.lang.String repos ,
        java.lang.String storedProcess ,
        java.lang.String[] names ,
        java.lang.String[] values ,
        java.lang.String sessionID
        )
        throws (
                BadSessionID,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
repos | in | java.lang.String |
storedProcess | in | java.lang.String |
names | in | java.lang.String[] |
values | in | java.lang.String[] |
sessionID | in | java.lang.String |

Example

CORBA Method GetContext

Description

Usage

Java Method GetContext

`public IStoredProcessContext` GetContext (

        int contextID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
contextID | in | int |

Example

CORBA Method GetPipeServerInterface

Description

Usage

Java Method GetPipeServerInterface

`public IStoredProcessPipeServer` GetPipeServerInterface (

        java.lang.String name ,
        int contextID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
contextID | in | int |

Example

CORBA Method DeleteSession

Description

Usage

Java Method DeleteSession

`void` DeleteSession (

        java.lang.String sessionID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sessionID | in | java.lang.String |

Example

CORBA Attribute ServerWorkSpace (readonly)

Description

Usage

Java Method ServerWorkSpace

    public Object ServerWorkSpace ();

CORBA Attribute STPMVA (readonly)

Description

Usage

Java Method STPMVA

    public Object STPMVA ();

CORBA Method CreateContextFromURL

Description

Usage

Java Method CreateContextFromURL

`public IStoredProcessContext` CreateContextFromURL (

        java.lang.String url ,
        java.lang.String proxy ,
        java.lang.String user ,
        java.lang.String pass ,
        java.lang.String[] names ,
        java.lang.String[] values ,
        java.lang.String sessionID
        )
        throws (
                BadSessionID,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
url | in | java.lang.String |
proxy | in | java.lang.String |
user | in | java.lang.String |
pass | in | java.lang.String |
names | in | java.lang.String[] |
values | in | java.lang.String[] |
sessionID | in | java.lang.String |

Example

CORBA Attribute CacheService (readonly)

Description

Usage

Java Method CacheService

    public ICacheService CacheService ();

IStoredProcessServer_1_1 Description

`public interface IStoredProcessServer_1_1
Extends IStoredProcessServer`

Method Summary

IStoredProcessContext2 | CreateSTPContextFromWorkspace ( java.lang.String sessionID ) throws ( BadSessionID, GenericError );
IStoredProcessContext2 | GetContext2 ( int contextID ) throws ( GenericError );

Java Class IStoredProcessServer_1_1Helper

public class IStoredProcessServer_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStoredProcessServer_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServer_1_1Helper

Java Class IStoredProcessServer_1_1Holder

public class IStoredProcessServer_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IStoredProcessServer_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServer_1_1Holder

CORBA Method CreateSTPContextFromWorkspace

Description

Usage

Java Method CreateSTPContextFromWorkspace

`public IStoredProcessContext2` CreateSTPContextFromWorkspace (

        java.lang.String sessionID
        )
        throws (
                BadSessionID,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sessionID | in | java.lang.String |

Example

CORBA Method GetContext2

Description

Usage

Java Method GetContext2

`public IStoredProcessContext2` GetContext2 (

        int contextID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
contextID | in | int |

Example